Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.reflect
Interface idlPrimitive

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlSimple

public interface idlPrimitive
extends idlObject

This interface is implemented by all objects that represent a primitive type

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Field Summary
`static int` | `ANY`
`static int` | `BOOLEAN`
`static int` | `CHAR`
`static int` | `DOUBLE`
`static int` | `FLOAT`
`static int` | `LONG`
`static int` | `LONGDOUBLE`
`static int` | `LONGLONG`
`static int` | `OBJECT`
`static int` | `OCTET`
`static int` | `SHORT`
`static int` | `TYPECODE`
`static int` | `ULONG`
`static int` | `ULONGLONG`
`static int` | `USHORT`
`static int` | `VALUEBASE`
`static int` | `VOID`
`static int` | `WCHAR`

Method Summary
`int` | `primitive()` Return the primitive type

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Field Detail

### VOID

    public static final int VOID

### BOOLEAN

    public static final int BOOLEAN

### FLOAT

    public static final int FLOAT

### DOUBLE

    public static final int DOUBLE

### LONGDOUBLE

    public static final int LONGDOUBLE

### SHORT

    public static final int SHORT

### USHORT

    public static final int USHORT

### LONG

    public static final int LONG

### ULONG

    public static final int ULONG

### LONGLONG

    public static final int LONGLONG

### ULONGLONG

    public static final int ULONGLONG

### CHAR

    public static final int CHAR

### WCHAR

    public static final int WCHAR

### OCTET

    public static final int OCTET

### OBJECT

    public static final int OBJECT

### ANY

    public static final int ANY

### TYPECODE

    public static final int TYPECODE

### VALUEBASE

    public static final int VALUEBASE

Method Detail

### primitive

    public int primitive()

  Return the primitive type

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD